Salary.com
Home API MCP
Home
API
Welcome to the Salary.com API
Data as a Service CompAnalyst and JobArchitect

Data as a Service

Introduction & AI
Behavior Request Field Definitions Response Field Definitions Match a Job POST Batch Match Jobs POST Match a Job (Verbose) POST Batch Match Jobs (Verbose) POST
Behavior Request Field Definitions Response Field Definitions Match a Job POST Match a Job (Verbose) POST

CompAnalyst

Get an Employee GET Get Employee List GET Create an Employee POST Update an Employee PUT Delete an Employee DELETE
Get a Company Job GET Get Company Job List GET Create a Company Job POST Update a Company Job PUT
Get Composite List GET Get Composite by Job Code GET

JobArchitect

Get Job Description List GET Get a Job Description Details GET
Get Skills GET

Reference

Employees Company Jobs Salary Plan Competencies Composites JobArchitect Skills
Change Log
MCP
Welcome to Salary.com MCP Authentication

CompAnalyst Market Data Tools

Overview
getMarketRate getBenchmarkJobDetails findBenchmarkMatches compareToMarket Shared Fields & Filters

SalaryIQ Labor Market Tools

Overview
getPostingTrends getTrendingSkills getHiringCompanies summarizeLaborMarket Shared Fields & Filters

Reference

Resources
×
Back
Welcome to the Salary.com API Authentication
Data as a Service CompAnalyst and JobArchitect

Data as a Service

Introduction & AI Market Data Job Match API
Behavior Request Field Definitions Response Field Definitions Match a Job POST Batch Match Jobs POST Match a Job (Verbose) POST Batch Match Jobs (Verbose) POST
Posting Data Job Match API
Behavior Request Field Definitions Response Field Definitions Match a Job POST Match a Job (Verbose) POST

CompAnalyst

Employees
Get an Employee GET Get Employee List GET Create an Employee POST Update an Employee PUT Delete an Employee DELETE
Company Jobs
Get a Company Job GET Get Company Job List GET Create a Company JobPOST Update a Company Job PUT
Composites
Get Composite ListGET Get Composite by Job CodeGET

JobArchitect

Jobs
Get Job Description List GET Get a Job Description Details GET
Skills
Get Skills GET

Reference

Field Definitions
Employees Company Jobs Salary Plan Competencies Composites JobArchitect Skills
Change Log

Get Skills

GET /cloud/Data/V1/Skills/{JobFamily}

This endpoint allows you to get job skills by specific job family from CompAnalyst.

URL

https://companalystapi.salary.com/cloud/Data/V1/Skills/{JobFamily}

Method

GET

Request Headers

Authorization: Bearer {AccessToken}

Glossary

Refer to JobArchitect

Request Parameters

JobFamily: only return records in a specific Job Family

Example Request

curl --request GET \
  --url https://companalystapi.salary.com/cloud/Data/V1/Skills?JobFamily=Sales
  --header 'Authorization: Bearer <ACCESS_TOKEN>'

Response Model

Successful call with data

200: OK -The request was successful, and the skills in this family are all returned.

{
    "FrameWorkName": "Industry Framework",
    "JobProfileTitle": "Relationship Manager I (Business Banking)",
    "JobFamily": "Banking",
    "JobLevel": "P01-Entry",
    "SkillTypeName": "Core Skills",
    "SkillName": "Business Acumen",
    "ProficiencyLevelName": "Level 1",
    "BehaviorIndicator": "Describes how our business makes money and our key business objectives."
},
{
    "FrameWorkName": "Industry Framework",
    "JobProfileTitle": "Business Banking Development Officer I",
    "JobFamily": "Banking",
    "JobLevel": "P01-Entry",
    "SkillTypeName": "Core Skills",
    "SkillName": "Business Acumen",
    "ProficiencyLevelName": "Level 1",
    "BehaviorIndicator": "Describes how our business makes money and our key business objectives."
},
{
    "FrameWorkName": "Industry Framework",
    "JobProfileTitle": "Financial Associate (Public) I",
    "JobFamily": "Banking",
    "JobLevel": "P01-Entry",
    "SkillTypeName": "Core Skills",
    "SkillName": "Business Acumen",
    "ProficiencyLevelName": "Level 1",
    "BehaviorIndicator": "Describes how our business makes money and our key business objectives."
},
{
    "FrameWorkName": "Industry Framework",
    "JobProfileTitle": "Community Reinvestment Officer",
    "JobFamily": "Banking",
    "JobLevel": "P03-Senior (Career Level)",
    "SkillTypeName": "Core Skills",
    "SkillName": "Business Acumen",
    "ProficiencyLevelName": "Level 1",
    "BehaviorIndicator": "Describes how our business makes money and our key business objectives."
},
{
    "FrameWorkName": "Industry Framework",
    "JobProfileTitle": "Merchant Chargeback Supervisor",
    "JobFamily": "Banking",
    "JobLevel": "M00-Supervisor",
    "SkillTypeName": "Core Skills",
    "SkillName": "Business Acumen",
    "ProficiencyLevelName": "Level 1",
    "BehaviorIndicator": "Describes how our business makes money and our key business objectives."
},
{
    "FrameWorkName": "Industry Framework",
    "JobProfileTitle": "Credit Risk Officer I",
    "JobFamily": "Banking",
    "JobLevel": "P01-Entry",
    "SkillTypeName": "Core Skills",
    "SkillName": "Business Acumen",
    "ProficiencyLevelName": "Level 1",
    "BehaviorIndicator": "Describes how our business makes money and our key business objectives."
        }
    }    
]

Successful call without data

200: OK - the requested job family does not exist in CompAnalyst. Return null in the response.

Failed call

400: Bad Request – User use wrong parameters, or incorrect format of the call parameters.

{
    "StatusCode": 400,
    "Reason": "Bad Request"
}

404: Not Found – Invalid URL call used

{  
    "StatusCode": 41,
    "Reason": "Invalid WEB API"
}

© Copyright Salary.com 2026. All Rights Reserved.

Privacy Policy/California Privacy Rights | Legal | Accessibility | Terms of Use | Do Not Sell or Share My Information